package api

import (
	"context"
	"fmt"
	"testing"

	"gitlab.alibaba-inc.com/pai_biz_arch/pairec-experiment/client_golang/model"
)

func createClientApi() *APIClient {
	cfg := NewConfiguration("http://localhost:8080", "")

	return NewAPIClient(cfg)
}

func TestAddScene(t *testing.T) {
	client := createClientApi()

	scene := model.Scene{
		SceneName: "live_feed",
		SceneInfo: "推荐流",
	}

	response, err := client.SceneApi.AddScene(context.Background(), scene)
	fmt.Println(response, err)
}

func TestGetSceneById(t *testing.T) {
	client := createClientApi()

	response, err := client.SceneApi.GetSceneById(context.Background(), 2)
	fmt.Println(response, err)
}
